Subject: Re: [PATCH] setup: trace bare repository setups

From: Josh Steadmon <[email-masked]>
Date: Mon, 1 May 2023 10:20:53 -0700

On 2023.04.28 13:26, Junio C Hamano wrote:
> Josh Steadmon <[email-masked]> writes:
> 
> > On 2023.04.27 15:54, Junio C Hamano wrote:
> >> Josh Steadmon <[email-masked]> writes:
> >> 
> >> > @@ -22,12 +33,12 @@ test_expect_success 'setup bare repo in worktree' '
> >> >  '
> >> >  
> >> >  test_expect_success 'safe.bareRepository unset' '
> >> > -	expect_accepted -C outer-repo/bare-repo
> >> > +	expect_accepted_implicit -C outer-repo/bare-repo
> >> >  '
> >> 
> >> Perhaps futureproof this test piece by explicitly unsetting the
> >> variable before starting the test?  That way, this piece will not be
> >> broken even if earlier tests gets modified to set some value to
> >> safe.bareRepository in the future.
> >
> > Actually, explicitly setting the variable here is equivalent to the
> > following test case, so I'll just remove this one.
> 
> I meant explicitly UNsetting, though?

Ah, sorry for misunderstanding. I've restored the test along with a
test_unconfig line for V3; however, doesn't this just turn into a "change
detector" test whose only purpose will be to fail if/when we change the
default value for this config option?